Can Version 4 and 5 co-exist.

Posted by: robshepherd on 8 September 2017, 2:31 pm EST

  • Posted 8 September 2017, 2:31 pm EST

    I am currently using Spread 4 (3.5 Framework) for Windows Forms.  I am about to move to version 5 (3.5 Framework).  Can I still maintain version 4?  I have multiple programs I have developed using 4 and am concerned that there might be major issues if I replace 4 with 5.


    Also ... what are the implications I need to consider when moving to Windows 7 for version 5.

     

    Rob.

  • Replied 8 September 2017, 2:31 pm EST

    Rob,

    In case you want to upgrade your project to the newer version then you just need to remove the licenses.licx file, remove all the old references of FpSpread and then Add the new references again by right clicking the references folder in your application and using Add references by browsing to the location of your installed Spread and then opening the form in design mode will create a licenses.licx file and then you can run your application.

    And upgrading to a newer version doesn't create any problems as such, you can try upgrading your application by first taking a back up of the current project and proceed further.

    Let us know in case you face any issues. Thanks.

  • Replied 8 September 2017, 2:31 pm EST

    Hello,

    Also you should be able to keep both the versions (v4 and v5) on the same machine.

     

    Thanks,

Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels